> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/server-side/integrations/analytics.md).

# Analytics integrations

With a custom integration you can simply integrate with other third-party tools in your tech stack.\
Whether you are using the Decision API or one of our SDKs, you should have all the information you need to communicate with your existing analytics tool.

Based on a flag, the different information available through the SDK methods are:

* `CampaignId` (`string`) associated with the flag
* `VariationId` (`string`) associated with the flag and the campaignId
* `variationGroupId`(`string`)associated with the flag and the campaignId
* `isReference` (`boolean`), to indicate if your user belongs to the original variation or not
* `campaignType`(`string`), to indicate the type of campaign, ex: AB
* `slug` (`string`) Advanced options, used when calling a single campaign with the campaign\_id parameter

For more details, you can search for the `metadata()` method through the Flag object on the SDK you are interested in.

If information is missing, please send us some [feedback](mailto:product.feedback@abtasty.com?subject=Flagship%20Custom%20Integration) and we can assist you to find the answer 😊


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.abtasty.com/server-side/integrations/analytics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
